SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Novell GroupWise Vendors:   Novell
Novell GroupWise Buffer Overflow in 'mailto:' URL Handler Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1019942
SecurityTracker URL:  http://securitytracker.com/id/1019942
CVE Reference:   CVE-2008-2069   (Links to External Site)
Updated:  May 9 2008
Original Entry Date:  Apr 28 2008
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 7.0
Description:   A vulnerability was reported in Novell GroupWise. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted 'mailto:' link that, when loaded by the target user via the mail client, will trigger a buffer overflow and execute arbitrary code on the target system. The code will run with the privileges of the target user.

The link can be loaded automatically via HTML.

Version 7.0 is affected. Version 7.0 with SP1 or later is reportedly not affected.

Juan Pablo Lopez Yacubian reported this vulnerability.

Impact:   A remote user can create HTML that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.novell.com/ (Links to External Site)
Cause:   Boundary error
Underlying OS:   Windows (Any)

Message History:   None.


 Source Message Contents

Date:  28 Apr 2008 13:55:56 -0000
Subject:  GroupWise 7.0 mailto: scheme buffer overflow

PRODUCT: GroupWise 7.0
OS: Windows Xp

The scheme "mailto" is vulnerable if one takes as default mail client to GroupWise, the fault is to implement the scheme followed
 by an extensive argument and this causes the buffer overflow. This brings the consequence that can overwrite the EIP and is able
 to execute arbitrary code. The result with a debbuger us what reveals. 

Access violation when executing [41414141] 

What power is that vulnerability to attach a html file which is included in an iframe with the scheme badly formed runs only watch.

proof of concept

#!/usr/bin/python

a = "<iframe src='mailto:"
a += "A" * 1530
a += "\x61\x61\x61\x61"
a += "' width='320' height='300' scrolling='yes' name='content'></iframe>"

file = open("test.html", "w")
file.write(a)
file.close()

greetings!

Juan Pablo Lopez Yacubian

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC